当前位置:网站首页>[actual combat of flutter] pubspec.yaml Configuration file details

[actual combat of flutter] pubspec.yaml Configuration file details

2020-11-06 01:23:28 itread01

![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214438153-1813741256.png) > ** Lao Meng guides reading **:**pubspec.yaml** The file is Flutter Very important configuration files in , Let's take a look at the meaning of each configuration . pubspec.yaml yes Flutter Configuration file for the project , Similar to Android Medium Gradle Configuration file , Let's take a look at pubspec.yaml The configuration of each attribute in . Create a new project (Flutter Application),pubspec.yaml Located in the root directory , As shown in the picture : ![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214438468-701942627.png) Default configuration in the project , Remove the comments , The rest is as follows : ```dart name: flutter_app description: A new Flutter application. publish_to: 'none' version: 1.0.0+1 environment: sdk: ">=2.7.0 <3.0.0" dependencies: flutter: sdk: flutter cupertino_icons: ^1.0.0 dev_dependencies: flutter_test: sdk: flutter flutter: uses-material-design: true ``` Let's introduce in detail one by one . ### name This property represents the package name (package name), This property is very important , You need to use this package name when importing other files : ```dart import 'package:flutter_app/home_page.dart'; ``` If you change the package name to , Then the corresponding introduction needs to be modified : ```dart import 'package:flutter_app_demo/home_page.dart'; ``` If you set up a Flutter Plug in and publish to [pub.dev](https://pub.dev/), Then this property will be displayed as a title , At the same time, other people's references need to use this property . ![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214439494-988111155.png) ### description **description** The attribute is a ** Optional ** Configuration properties , It's an introduction to the current project . If it is released as a plug-in to pub.dev On , This value is displayed in the following position : ![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214440262-1054399556.png) ### version The version and build number of the application for this property , The format is **x.x.x+x**, for example :**1.0.0+1**, This version is called ** Semantic version number (semantic versioning )**,semantic versioning Related knowledge please [ Reference here ](https://semver.org/spec/v2.0.0-rc.1.html). Version number **+** Front to part , be called **version number**, from 2 A little dot to separate , The latter part is called **build number**. stay Android in version number Correspondence **versionName**,build number Correspondence **versionCode**, stay android/build.gradle There are related configurations under , ![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214440681-910017079.png) Early versions build.gradle in versionName and versionCode It's a dead number , as follows : ![](https://img2020.cnblogs.com/other/467322/202011/467322-20201104214442212-664199272.png) At this time, you can only modify the version number by modifying build.gradle . And now you can go directly through pubspec.yaml Make a change . If it's a plug-in , Then the user can specify which version to use with this version number , ```dart path_provider: ^1.6.22 ``` There are many forms of version designation : #### Not specified or specified any ```dart path_provider: path_provider: any ``` This format is loaded by default ** The latest version **, But this method is strongly not recommended , Because the change of version will cause the interface to change , Compilation exception in project . #### x.y.z Clearly specify the version ```dart path_provider: 1.6.22 ``` Specify the version of the dependency . #### <=x.y.

版权声明
本文为[itread01]所创,转载请带上原文链接,感谢